Subject: bug#8725: imenu--split-menu should not deliver surprises

From: Stefan Monnier <[email-masked]>
Date: Sat, 12 Apr 2014 16:03:50 -0400

> and the reason is Imenu put items with submenus at the top. Such
> behaviour may be reasonable for programming modes, but is clearly
> unnecessary for text modes.

Actually it doesn't have much to do with text-modes vs programming-modes
but with the way the menu is built.  E.g. the menu could look like

   Index
   |- ...
   Section 1
   Section 2
   Section 3

if org-mode provided an "Index" submenu, in which case it would make a lot
of sense to put it on top.  So a better option is to let the major
mode decide.

        Stefan